## com.lowagie.text.rtf.field
Class RtfAnchor

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.field.RtfField
              com.lowagie.text.rtf.field.RtfAnchor

All Implemented Interfaces:
  Element, RtfBasicElement, RtfElementInterface

    public class RtfAnchor

extends RtfField

The RtfAnchor is the RTF representation of an Anchor object.

Version:
  $Id$
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Werner Daehn (Werner.Daehn@BusinessObjects.com), Thomas Bickel (tmb99@inode.at)

Field Summary
`private RtfPhrase` `content` The RtfPhrase to display for the url
`private static byte[]` `HYPERLINK` Constant for a hyperlink
`private java.lang.String` `url` The url of this RtfAnchor

Fields inherited from class com.lowagie.text.rtf.field.RtfField
`document`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, CHAR_SPACING, COLOR, ENCODING, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SEPARATOR, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TAB, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

Constructor Summary
`RtfAnchor(RtfDocument doc, Anchor anchor)` Constructs a RtfAnchor based on a RtfField

Method Summary
`protected void` `writeFieldInstContent(java.io.OutputStream result)` Write the field instructions for this RtfAnchor.
`protected void` `writeFieldResultContent(java.io.OutputStream result)` Write the field result for this RtfAnchor.

Methods inherited from class com.lowagie.text.rtf.field.RtfField
`isEmpty, isFieldAlt, isFieldDirty, isFieldEdit, isFieldLocked, isFieldPrivate, isInHeader, isInTable, setFieldAlt, setFieldDirty, setFieldEdit, setFieldLocked, setFieldPrivate, setFont, setInHeader, setInTable, setRtfDocument, writeContent`

Methods inherited from class com.lowagie.text.Chunk

`append, getAttributes, getCharacterSpacing, getChunks, getContent, getFont, getHorizontalScaling, getHyphenation, getImage, getTextRise, getWidthPoint, hasAttributes, isContent, isNestable, process, setAction, setAnchor, setAnchor, setAnnotation, setAttributes, setBackground, setBackground, setCharacterSpacing, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HYPERLINK

    private static final byte[] HYPERLINK

  Constant for a hyperlink

### url

    private java.lang.String url

  The url of this RtfAnchor

### content

    private RtfPhrase content

  The RtfPhrase to display for the url

Constructor Detail

### RtfAnchor

    public RtfAnchor(RtfDocument doc,
                     Anchor anchor)

  Constructs a RtfAnchor based on a RtfField

  Parameters:
    `doc` - The RtfDocument this RtfAnchor belongs to
    `anchor` - The Anchor this RtfAnchor is based on

Method Detail

### writeFieldInstContent

    protected void writeFieldInstContent(java.io.OutputStream result)
                                  throws java.io.IOException

  Write the field instructions for this RtfAnchor. Sets the field type to HYPERLINK and then writes the url.

  Specified by:
    `writeFieldInstContent` in class `RtfField`
  Parameters:
    `result` - The `OutputStream` to write to.
  Throws:
    `java.io.IOException` - on i/o errors.

### writeFieldResultContent

    protected void writeFieldResultContent(java.io.OutputStream result)
                                    throws java.io.IOException

  Write the field result for this RtfAnchor. Writes the content of the RtfPhrase.

  Specified by:
    `writeFieldResultContent` in class `RtfField`
  Parameters:
    `result` - The `OutputStream` to write to.
  Throws:
    `java.io.IOException` - on i/o errors.

Hosted by Hostbasket